package com.willalp.yiqing.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.willalp.common.annotation.Excel;
import com.willalp.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.sql.Time;

/**
 * 任务提醒规则对象 hs_yiqing_rule
 *
 * @author willalp
 * @date 2022-04-13
 */

@TableName("hs_yiqing_rule")
public class HsYiqingRule extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @TableId
    private String ruleId;

    /** 规则编号 */
    @Excel(name = "规则编号")
    private String ruleNo;

    /** 规则名称 */
    @Excel(name = "规则名称")
    private String ruleName;

    /** 规则1 */
    @Excel(name = "规则1")
    private Integer ruleOne;

    /** 规则2 */
    @Excel(name = "规则2")
    private Integer ruleTow;

    /** 推送时间 */
    @JsonFormat(pattern = "HH:mm:ss")
    @Excel(name = "推送时间", width = 30, dateFormat = "HH:mm:ss")
    private Time pushTime;

    /** 是否删除（0.未删除；1.已删除） */
    @Excel(name = "是否删除", readConverterExp = "0=.未删除；1.已删除")
    @TableLogic
    private Integer isDelete;

    public void setRuleId(String ruleId)
    {
        this.ruleId = ruleId;
    }

    public String getRuleId()
    {
        return ruleId;
    }
    public void setRuleNo(String ruleNo)
    {
        this.ruleNo = ruleNo;
    }

    public String getRuleNo()
    {
        return ruleNo;
    }
    public void setRuleName(String ruleName)
    {
        this.ruleName = ruleName;
    }

    public String getRuleName()
    {
        return ruleName;
    }
    public void setRuleOne(Integer ruleOne)
    {
        this.ruleOne = ruleOne;
    }

    public Integer getRuleOne()
    {
        return ruleOne;
    }
    public void setRuleTow(Integer ruleTow)
    {
        this.ruleTow = ruleTow;
    }

    public Integer getRuleTow()
    {
        return ruleTow;
    }
    public void setPushTime(Time pushTime)
    {
        this.pushTime = pushTime;
    }

    public Time getPushTime()
    {
        return pushTime;
    }
    public void setIsDelete(Integer isDelete)
    {
        this.isDelete = isDelete;
    }

    public Integer getIsDelete()
    {
        return isDelete;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("ruleId", getRuleId())
            .append("ruleNo", getRuleNo())
            .append("ruleName", getRuleName())
            .append("ruleOne", getRuleOne())
            .append("ruleTow", getRuleTow())
            .append("pushTime", getPushTime())
            .append("isDelete", getIsDelete())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
